lp:debian/stretch/smokeping

Created by Ubuntu Package Importer and last modified
Get this branch:
bzr branch lp:debian/stretch/smokeping
Members of Ubuntu branches can upload to this branch. Log in for directions.

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Development

Recent revisions

15. By anarcat

* new upstream release, see https://oss.oetiker.ch/smokeping/pub/CHANGES
  (Closes: #708615, #759483, #783229)
* do not ship incorrect .fcgi file (Closes: #695438)
* port to apache 2.4 (Closes: #669799)
* drop patches factored in upstream: fix-pod-escaping, fcgi_destdir
* add patch to ignore missing VERSION file
* add missing dependencies

14. By anarcat

* Upload to unstable
* remove jsogo as uploader, as I haven't heard from him in years
* Bug fix: missing "#MODE=slave" in /etc/default/smokeping, thanks to
  xavier renaut for reporting and Rowan Thorpe for confirmation (Closes:
  #685811).
* follow anonscm.d.o rename
* fix status doesn't use the pidfile (Closes: #699799)
* use dh_autoreconf to fix configure step, thanks to Rowan Thorpe
  * Use dh_autoreconf to avoid errors about "missing xx" and to allow
    rebuilding after first build (Closes: #724471)
  * use dh_auto_configure rather than ./configure in rules, to only
    override specified flags, not all
* add patches from Rowan Thorpe
  * fix-paths-inside-executables - hardcode paths inside executables
    (Closes: #707225)
  * fix-pod-escaping - quote-protect a slash in a pod-link (Closes:
    #752393)
* bump standards to 3.9.5, no change
* fix dependency list to ease diffs

13. By anarcat

* Acknowledge gregor's NMU, thanks!
* Urgency high to fix CVE-2012-0790 again (Closes: #659899)

12. By gregor herrmann

* Non-maintainer upload.
* Fix "fails to install, remove, distupgrade, and install again":
  remove ucf config files also on install (not only on upgrade); cf. the
  changelog entry for 2.6.5-2 and #655968.
  (Closes: #668383)
* Remove Niko Tyni from Uploaders as per his request in #668383.

11. By anarcat

New upstream release

10. By anarcat

New upstream release to fix CVE-2012-0790 (Closes: #659899)

9. By anarcat

* Bug fix: "prompting due to modified conffiles which where not modified
  by the user", thanks to Holger Levsen (Closes: #655968). This is done
  by simply removing ucf config files that were not changed before
  installing them.
* fix lintian warning by refering explicitly to GPL-2
* update standards version to 3.9.2, no change
* unset locale (LC_ALL) when building to please the build process

8. By anarcat

fix pathnames

7. By Niko Tyni

debian/patches/20_html-parser.dpatch: fix an incompatibility with
recent versions of HTML::Parser. (Closes: #560562)

6. By Niko Tyni

* Depend on libconfig-grammar-perl instead of bundling it. (Closes: #531196)
* Install the perl code in /usr/share/smokeping/lib instead of
  /usr/share/perl5/smokeping.
* Downgrade the exim4 | mail-transport agent dependency to a suggestion.
  (Closes: #520350)
* Remove the obsolete libnet-perl dependency.
* Depend on javascript libraries instead of bundling them. (Closes: #475285)
  + cpio not used anymore. (Closes: #537026)
* Move away from /var/www but add compatibility symlinks on upgrades.
  See NEWS.Debian. (Closes: #521333)
  + automatically enable the web server configuration on new installations
    where possible.
* Serve UTF-8 by default. Thanks to Elmar Hoffmann. (Closes: #506978)
* Don't ship /var/run/smokeping, it will be created at run time.
* Upgrade to Standards-Version 3.8.2.
  + add Homepage, Vcs-Git, and Vcs-Browser information to debian/control.
* Change the alternate web server recommendation to httpd-cgi as per policy.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:debian/smokeping
This branch contains Public information 
Everyone can see this information.

Subscribers